summaryrefslogtreecommitdiffstats
path: root/lib/replace/configure
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2010-10-31 02:44:32 +0100
committerJelmer Vernooij <jelmer@samba.org>2010-10-31 02:45:21 +0000
commitf99c009b61c9e8b5968a9b074546408ce93db73c (patch)
tree7ec9ea5c99f5c450e173e8fb055a003fb12a8e08 /lib/replace/configure
parent4f22cc7a283d21000e8ffa0c39746aa9f824f49e (diff)
downloadsamba-f99c009b61c9e8b5968a9b074546408ce93db73c.tar.gz
samba-f99c009b61c9e8b5968a9b074546408ce93db73c.tar.xz
samba-f99c009b61c9e8b5968a9b074546408ce93db73c.zip
replace: Build using waf by default.
Autobuild-User: Jelmer Vernooij <jelmer@samba.org> Autobuild-Date: Sun Oct 31 02:45:21 UTC 2010 on sn-devel-104
Diffstat (limited to 'lib/replace/configure')
-rwxr-xr-xlib/replace/configure14
1 files changed, 14 insertions, 0 deletions
diff --git a/lib/replace/configure b/lib/replace/configure
new file mode 100755
index 0000000000..2d4aec724e
--- /dev/null
+++ b/lib/replace/configure
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+PREVPATH=`dirname $0`
+
+WAF=../../buildtools/bin/waf
+
+# using JOBS=1 gives maximum compatibility with
+# systems like AIX which have broken threading in python
+JOBS=1
+export JOBS
+
+cd . || exit 1
+$WAF configure "$@" || exit 1
+cd $PREVPATH